package intrinsic.mx.styles;

public class CSSStyleDeclaration extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */

	/** Variables */
	public intrinsic.Function factory;
	public intrinsic.Array effects;
	public int selectorRefCount;
	public intrinsic.Function defaultFactory;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public CSSStyleDeclaration() {
}

public CSSStyleDeclaration(String arg0) {
}


/** Static Methods */

/** Methods */
public native void clearStyle(String arg0);
public native Object createProtoChainRoot();
public native void setStyle(String arg0, Object arg1);
public native void clearOverride(String arg0);
//public native void setStyle(String arg0, Object arg1);
public native Object addStyleToProtoChain(Object arg0, intrinsic.flash.display.DisplayObject arg1);
public native Object addStyleToProtoChain(Object arg0, intrinsic.flash.display.DisplayObject arg1, Object arg2);
public native Object getStyle(String arg0);

}
